<script setup>
    import JetButton from '@/Jetstream/Button.vue';
    import AppLayout from '@/Layouts/AppLayout.vue';
</script>

<template>
    <AppLayout :title="$page.props.listing.title">
        <template #header>

            <div class="flex items-center">



            <div class="w-full" >
            <h2 class="font-semibold text-xl text-gray-800 leading-tight w-1/2">
              Job Listing - {{$page.props.listing.title}}
            </h2>

            </div>

            <div  >
                <JetButton @click="$inertia.get(route('job.listing.index'))">
                    Back
                </JetButton>



            </div>

            </div>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg rounded-lg border shadow-md">
                    <div class="flex ">
                        <div class="w-2/3 p-6 border-r-4" v-html="$page.props.listing.description === null ? $page.props.listing.short_description : $page.props.listing.description"></div>
                        <div class="w-1/3 p-6 "><h5 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">Company Information</h5>
                            <p class="mb-3 font-normal text-gray-700 dark:text-gray-400">
                               <strong>Name:</strong> {{$page.props.listing.user.company_profile.name}}
                            </p>
                            <p class="mb-3 font-normal text-gray-700 dark:text-gray-400" v-if="!checkEmpty($page.props.listing.user.company_profile.address)">
                                <strong>Address:</strong> {{$page.props.listing.user.company_profile.address}}
                            </p>
                            <p class="mb-3 font-normal text-gray-700 dark:text-gray-400" v-if="!checkEmpty($page.props.listing.user.company_profile.website_url)">
                                <strong>Website:</strong> <a target="_blank" :href="$page.props.listing.user.company_profile.website_url">{{$page.props.listing.user.company_profile.website_url}}</a>
                            </p>
                            <p class="mb-3 font-normal text-gray-700 dark:text-gray-400" v-if="!checkEmpty($page.props.listing.user.company_profile.job_area)">
                                <strong>Area:</strong> {{$page.props.listing.user.company_profile.job_area.name}}
                            </p>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </AppLayout>
</template>

<script>
    export default {
        name: "Show",
        methods:{
            checkEmpty(value)
            {
                return _.isEmpty(value);
            }
        }
    }
</script>

<style scoped>

</style>